package chapter5;

import java.time.LocalDate;

public class Example21 {
    public static void main(String[] args) {
        LocalDate now = LocalDate.now();
        LocalDate of = LocalDate.of(2015, 12, 12);

        System.out.println("今年是" + now.getYear() + "年");
        System.out.println("月份：" + now.getMonth());
        System.out.println("月份：" + now.getMonthValue());
        System.out.println("日期：" + now.getDayOfMonth());
        System.out.println("今年中的第几天：" + now.getDayOfYear());
        System.out.println("周几：" + now.getDayOfWeek());

        System.out.println("====判断相关的方法====");

        System.out.println("of是否在now之前？" + of.isBefore(now));
        System.out.println("of是否在now之后？" + of.isAfter(now));
        System.out.println("of和now是否相等？" + of.isEqual(now));
        System.out.println("of是否闰年？" + of.isLeapYear());
    }
}
